Package com.ocient.cli.extract.wrappers

# Class ByteArrayWrapperFactory

java.lang.Object
com.ocient.cli.extract.wrappers.ByteArrayWrapperFactory

    public class ByteArrayWrapperFactory
    extends Object

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ByteArrayWrapperFactory()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static ByteArrayWrapper` | `getWrapper​(byte[] byteArray, ExtractConfiguration.BinaryFormat binaryFormat)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteArrayWrapperFactory

public ByteArrayWrapperFactory()

## Method Details

### getWrapper

public static ByteArrayWrapper getWrapper​(byte[] byteArray, ExtractConfiguration.BinaryFormat binaryFormat) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`